doris studio has been started, but seems port [8006] is not up

Viewed 29

其实studio 可以启动成功 只不过慢了一点 程序判断没有启动 然后提示doris-manager24.1.1启动失败这个是什么原因 有没有时间延长的参数可以设置

time="2024-11-06T18:30:39+08:00" level=info msg="ready to deduct all config of doris manager"
time="2024-11-06T18:30:39+08:00" level=info msg="deduct all config of doris manager..."
time="2024-11-06T18:30:39+08:00" level=info msg="[manager] version = 24.1.2"
time="2024-11-06T18:30:39+08:00" level=info msg="[webserver] host = 50.88.1.205"
time="2024-11-06T18:30:39+08:00" level=info msg="[webserver] deploy_dir = /usr/doris/doris-manager/webserver"
time="2024-11-06T18:30:39+08:00" level=info msg="[prometheus] deploy_dir = /usr/doris/doris-manager/deps/prometheus"
time="2024-11-06T18:30:39+08:00" level=info msg="[alertmanager] deploy_dir = /usr/doris/doris-manager/deps/alertmanager"
time="2024-11-06T18:30:39+08:00" level=info msg="[grafana] deploy_dir = /usr/doris/doris-manager/deps/grafana"
time="2024-11-06T18:30:39+08:00" level=info msg="[path] doris path = /usr/doris/downloads/doris"
time="2024-11-06T18:30:39+08:00" level=info msg="[path] doris_manager path = /usr/doris/downloads/doris_manager"
time="2024-11-06T18:30:39+08:00" level=info msg="deduct all config of doris manager done"
time="2024-11-06T18:30:39+08:00" level=info msg="prepare package dir shell: "
time="2024-11-06T18:30:39+08:00" level=info msg="
set -ex

DEPLOY_DIR="/usr/doris/doris-manager"
DORIS_PATH="/usr/doris/downloads/doris"
JAVA8_TAR_NAME="java8.tar.gz"
JAVA17_TAR_NAME="java17.tar.gz"

if [[ ! -d ${DORIS_PATH}/java8 ]]; then
\tmkdir -p ${DORIS_PATH}/java8
fi

if [[ ! -d ${DORIS_PATH}/java17 ]]; then
\tmkdir -p ${DORIS_PATH}/java17
fi

if [ ! -z "$(ls -A ${DORIS_PATH}/java8)" ]; then
\t\mv -f ${DORIS_PATH}/java8 ${DORIS_PATH}/java8_outdate_$(date '+%Y-%m-%dT%H:%M:%S+0800')
\tmkdir -p ${DORIS_PATH}/java8
fi

if [ ! -z "$(ls -A ${DORIS_PATH}/java17)" ]; then
\t\mv -f ${DORIS_PATH}/java17 ${DORIS_PATH}/java17_outdate_$(date '+%Y-%m-%dT%H:%M:%S+0800')
\tmkdir -p ${DORIS_PATH}/java17
fi

yes | \cp -rf ${DEPLOY_DIR}/deps/jdk/* ${DORIS_PATH}/java8/
yes | \cp -rf ${DEPLOY_DIR}/deps/jdk17/* ${DORIS_PATH}/java17/

compress java8.tar.gz & java17.tar.gz

cd ${DORIS_PATH}
tar -zcvf ${JAVA8_TAR_NAME} java8
tar -zcvf ${JAVA17_TAR_NAME} java17

"
time="2024-11-06T18:31:06+08:00" level=info msg="cleaning java17_outdate* files in /usr/doris/downloads/doris"
time="2024-11-06T18:31:06+08:00" level=info msg="remove legacy dir /usr/doris/downloads/doris/java17_outdate_2024-11-06T18:30:39+0800."
time="2024-11-06T18:31:06+08:00" level=info msg="cleaning java8_outdate* files in /usr/doris/downloads/doris"
time="2024-11-06T18:31:06+08:00" level=info msg="remove legacy dir /usr/doris/downloads/doris/java8_outdate_2024-11-06T18:30:39+0800."
time="2024-11-06T18:31:06+08:00" level=info msg="cleaning manager-agent* files in /usr/doris/doris-manager/agent"
time="2024-11-06T18:31:06+08:00" level=info msg="existing legacy dirs 0 <= remainSize 1, skip"
time="2024-11-06T18:31:06+08:00" level=info msg="cleaning bin* files in /usr/doris/doris-manager/deps/grafana"
time="2024-11-06T18:31:06+08:00" level=info msg="existing legacy dirs 0 <= remainSize 0, skip"
time="2024-11-06T18:31:06+08:00" level=info msg="cleaning public* files in /usr/doris/doris-manager/deps/grafana"
time="2024-11-06T18:31:06+08:00" level=info msg="existing legacy dirs 0 <= remainSize 0, skip"
time="2024-11-06T18:31:06+08:00" level=info msg="cleaning doris-manager* files in /usr/doris/downloads/doris_manager"
time="2024-11-06T18:31:06+08:00" level=info msg="existing legacy dirs 0 <= remainSize 0, skip"
time="2024-11-06T18:31:06+08:00" level=info msg="cleaning velodb-manager* files in /usr/doris/downloads/doris_manager"
time="2024-11-06T18:31:06+08:00" level=info msg="existing legacy dirs 0 <= remainSize 0, skip"
time="2024-11-06T18:31:06+08:00" level=info msg="cleaning config-tool-* files in /usr/doris/doris-manager/webserver/config-tool"
time="2024-11-06T18:31:06+08:00" level=info msg="existing legacy dirs 0 <= remainSize 0, skip"
time="2024-11-06T18:31:06+08:00" level=info msg="prepare package done"
time="2024-11-06T18:31:06+08:00" level=info msg="monitor deploying..."
time="2024-11-06T18:31:06+08:00" level=info msg="ready to overwrite grafana configs"
time="2024-11-06T18:31:06+08:00" level=info msg="need to set basic auth for grafana"
time="2024-11-06T18:31:06+08:00" level=info msg="ready to reset password for admin user in grafana config file"
time="2024-11-06T18:31:06+08:00" level=info msg="ready to reset password for admin user in grafana db"
time="2024-11-06T18:31:06+08:00" level=info msg="reset grafana admin password shell:
set -o pipefail
set -ex

BIN_DIR="/usr/doris/doris-manager/deps/grafana/bin"
NEW_PASSWORD="NgwP+xfyE_"

cd ${BIN_DIR}
./grafana-cli admin reset-admin-password "${NEW_PASSWORD}"
"
time="2024-11-06T18:31:07+08:00" level=info msg="current temp random password is NgwP+xfyE_"
time="2024-11-06T18:31:07+08:00" level=info msg="prepare grafana admin password successfully."
time="2024-11-06T18:31:07+08:00" level=info msg="[grafana] ready to start ..."
time="2024-11-06T18:31:07+08:00" level=info msg="start grafana shell:
set -o pipefail
set -ex

DEPLOY_DIR=""/usr/doris/doris-manager/deps/grafana""
HTTP_PORT=""3000""
LOG_DIR=""/usr/doris/doris-manager/deps/grafana/log""
PID_FILE="$DEPLOY_DIR/bin/grafana.pid"
LOG_FILE="$LOG_DIR/grafana.out"

mkdir -p ${LOG_DIR}
mkdir -p ${DEPLOY_DIR}/bin

Function to log messages to a file

log() {
\tlocal log_message="$1"
\techo "$(date +'%Y-%m-%d %H:%M:%S') - $log_message" >> "$LOG_FILE"
}

build start_grafana.sh

cat > "${DEPLOY_DIR}/bin/start_grafana.sh" << EOF
#!/bin/bash

curdir=\$(dirname "\$0")
curdir=\$(cd "\$curdir"; pwd)

HOME=\$(cd "\$curdir/.."; pwd)
PID_FILE=\${HOME}/bin/grafana.pid
LOG_FILE=\${HOME}/log/grafana.out

cd \${HOME}
nohup ./bin/grafana-server web cfg:server.http_port=$HTTP_PORT > "\$LOG_FILE" 2>&1 &
echo \$! > "\$PID_FILE"

EOF

build stop_grafana.sh

cat > "${DEPLOY_DIR}/bin/stop_grafana.sh" << EOF
#!/bin/bash
curdir=\$(dirname "\$0")
curdir=\$(cd "\$curdir"; pwd)
HOME=\$(cd "\$curdir/.."; pwd)
PID_FILE=\${HOME}/bin/grafana.pid
if [ -e "\${PID_FILE}" ]; then
pid=\$(<\${PID_FILE})
if kill -0 "\$pid" 2>/dev/null; then
# Attempt to gracefully stop grafana
if kill -15 "\$pid" > /dev/null 2>&1; then
# Wait for grafana to stop (you can adjust the sleep time as needed)
sleep 5
if kill -0 "\$pid" 2>/dev/null; then
echo "grafana process may still be running, check it manually."
else
echo "grafana process has stopped gracefully."
fi
else
echo "Error: failed to gracefully stop grafana."
exit 1
fi
else
echo "Warning: grafana process is not running, pid = \$pid"
fi
# Remove the grafana.pid file after stopping grafana
rm -f "${PID_FILE}"
else
echo "Error: grafana.pid file not found, process might not be running."
fi
EOF

chmod a+x ${DEPLOY_DIR}/bin/start_grafana.sh
chmod a+x ${DEPLOY_DIR}/bin/stop_grafana.sh

Change directory to the Grafana installation directory

cd "$DEPLOY_DIR"

Start Grafana server and redirect output to the log file

nohup ./bin/grafana-server web cfg:server.http_port=$HTTP_PORT > "$LOG_FILE" 2>&1 &

Capture the process ID (PID) of the started Grafana process

echo $! > "$PID_FILE"

Output a success message

log "Grafana started successfully"
"
time="2024-11-06T18:31:12+08:00" level=info msg="[grafana] start successfully, on port [3000]"
time="2024-11-06T18:31:12+08:00" level=info msg="[grafana] grafana is up and running!"
time="2024-11-06T18:31:12+08:00" level=info msg="reset grafana admin password successfully."
time="2024-11-06T18:31:12+08:00" level=info msg="[grafana] ready to add datasource..."
time="2024-11-06T18:31:12+08:00" level=info msg=">>> configure grafana: addr = http://127.0.0.1:3000"
time="2024-11-06T18:31:12+08:00" level=info msg="[grafana] data source [DS_DORIS] exists, ready to remove old datasource..."
time="2024-11-06T18:31:12+08:00" level=info msg="[grafana] removed old datasource, ready to add new one..."
time="2024-11-06T18:31:12+08:00" level=info msg="[grafana] add datasource successfully"
time="2024-11-06T18:31:12+08:00" level=info msg="[grafana] ready to import dashboard..."
time="2024-11-06T18:31:12+08:00" level=info msg="[grafana] import dashboard done"
time="2024-11-06T18:31:12+08:00" level=info msg="adding crontab for grafana..."
time="2024-11-06T18:31:12+08:00" level=info msg="shell =
set -o pipefail
set -x

DEPLOY_DIR="/usr/doris/doris-manager/deps/grafana"
PORT="3000"
CRONTAB_FILE=".doris_manager_grafana_cron.sh"

mkdir -p ${DEPLOY_DIR}/bin

cat > "${DEPLOY_DIR}/${CRONTAB_FILE}" << EOF
#!/bin/bash

PID_FILE="${DEPLOY_DIR}/bin/grafana.pid"
LOG_FILE="${DEPLOY_DIR}/log/grafana_crontab.log"

exec >> "\$LOG_FILE" 2>&1

record crontab exec time

date

if ! curl -sSf http://127.0.0.1:${PORT} >/dev/null; then
echo "Grafana service is not responding, checking PID file."

if [ -e \"\\${PID_FILE}\" ]; then
    pid=\\$(cat \"\\${PID_FILE}\")
    if ps -p \"\\$pid\" >/dev/null; then
        echo 'Grafana process is alive'
    else
        echo 'Grafana process may be in an unhealthy state, restarting...'
        rm -f \"\\${PID_FILE}\"
        \"${DEPLOY_DIR}/bin/start_grafana.sh\"
    fi
else
    \"${DEPLOY_DIR}/bin/start_grafana.sh\"
    echo 'Grafana process terminated normally, restarted.'
fi

else
echo "Grafana service is alive"
fi

exec 1>&- 2>&-

EOF

chmod +x ${DEPLOY_DIR}/bin/start_grafana.sh
chmod +x ${DEPLOY_DIR}/${CRONTAB_FILE}

crontab -l | grep -v doris_manager_grafana_cron | crontab -

if ! crontab -l | grep -q ${DEPLOY_DIR}/${CRONTAB_FILE}; then
(crontab -l ; echo "*/1 * * * * ${DEPLOY_DIR}/${CRONTAB_FILE}") | crontab -
fi
"
time="2024-11-06T18:31:12+08:00" level=info msg="successfully added crontab for grafana"
time="2024-11-06T18:31:12+08:00" level=info msg="[alertmanager] ready to configure..."
time="2024-11-06T18:31:12+08:00" level=info msg="[alertmanager] configure successfully"
time="2024-11-06T18:31:12+08:00" level=info msg="[alertmanager] ready to start..."
time="2024-11-06T18:31:12+08:00" level=info msg="need to set auth for alertmanager"
time="2024-11-06T18:31:12+08:00" level=info msg="start alertmanager shell:
set -o pipefail
set -ex

ALERTMANAGER_HOME=""/usr/doris/doris-manager/deps/alertmanager""
DATA_DIR=""/usr/doris/doris-manager/deps/alertmanager/data""
LOG_DIR=""/usr/doris/doris-manager/deps/alertmanager/log""
WEB_PORT=""9093""
PID_FILE="${ALERTMANAGER_HOME}/bin/alertmanager.pid"

mkdir -p ${ALERTMANAGER_HOME}/bin

Function to log messages to a file

log() {
local log_message="$1"
echo "$(date +'%Y-%m-%d %H:%M:%S') - $log_message" >> "${LOG_DIR}/alertmanager.log"
}

build start_alertmanager.sh

cat > "${ALERTMANAGER_HOME}/bin/start_alertmanager.sh" << EOF
#!/bin/bash

curdir=\$(dirname "\$0")
curdir=\$(cd "\$curdir"; pwd)

HOME=\$(cd "\$curdir/.."; pwd)
PID_FILE=\${HOME}/bin/alertmanager.pid
DATA_DIR=\${HOME}/data
LOG_DIR=\${HOME}/log

nohup "\${HOME}/alertmanager" --config.file="\${HOME}/alertmanager.yml" \
--web.config.file="${ALERTMANAGER_HOME}/basic_auth.yaml" \
--web.listen-address=":${WEB_PORT}" \
--cluster.listen-address= \
--storage.path="\${DATA_DIR}" \
--log.level=debug > "\${LOG_DIR}/alertmanager.out" 2>&1 < /dev/null &
echo \$! > "\$PID_FILE"
EOF

build stop_alertmanager.sh

cat > "${ALERTMANAGER_HOME}/bin/stop_alertmanager.sh" << EOF
#!/bin/bash
curdir=\$(dirname "\$0")
curdir=\$(cd "\$curdir"; pwd)
HOME=\$(cd "\$curdir/.."; pwd)
PID_FILE=\${HOME}/bin/alertmanager.pid
if [ -e "\${PID_FILE}" ]; then
pid=\$(<\${PID_FILE})
if kill -0 "\$pid" 2>/dev/null; then
# Attempt to gracefully stop alertmanager
if kill -15 "\$pid" > /dev/null 2>&1; then
# Wait for alertmanager to stop (you can adjust the sleep time as needed)
sleep 5
if kill -0 "\$pid" 2>/dev/null; then
echo "alertmanager process may still be running, check it manually."
else
echo "alertmanager process has stopped gracefully."
fi
else
echo "Error: failed to gracefully stop alertmanager."
exit 1
fi
else
echo "Warning: alertmanager process is not running, pid = \$pid"
fi
# Remove the alertmanager.pid file after stopping alertmanager
rm -f "${PID_FILE}"
else
echo "Error: alertmanager.pid file not found, process might not be running."
fi
EOF

chmod a+x ${ALERTMANAGER_HOME}/bin/start_alertmanager.sh
chmod a+x ${ALERTMANAGER_HOME}/bin/stop_alertmanager.sh

Start Alertmanager and redirect output to log file

nohup "${ALERTMANAGER_HOME}/alertmanager" --config.file="${ALERTMANAGER_HOME}/alertmanager.yml" \
\t--web.config.file="${ALERTMANAGER_HOME}/basic_auth.yaml" \
--web.listen-address=":${WEB_PORT}" \
--cluster.listen-address= \
--storage.path="${DATA_DIR}" \
--log.level=debug > "${LOG_DIR}/alertmanager.out" 2>&1 < /dev/null &

Save the new PID in .pid file

echo $! > "$PID_FILE"

log "Alertmanager started successfully"
"
time="2024-11-06T18:31:17+08:00" level=info msg="[alertmanager] start process successfully, on port [9093]"
time="2024-11-06T18:31:17+08:00" level=info msg="[alertmanager] alertmanager is up and healthy!"
time="2024-11-06T18:31:17+08:00" level=info msg="adding crontab for alertmanager..."
time="2024-11-06T18:31:17+08:00" level=info msg="shell =
set -o pipefail
set -x

DEPLOY_DIR="/usr/doris/doris-manager/deps/alertmanager"
PORT="9093"
CRONTAB_FILE=".doris_manager_alertmanager_cron.sh"

mkdir -p ${DEPLOY_DIR}/bin

cat > "${DEPLOY_DIR}/${CRONTAB_FILE}" << EOF
#!/bin/bash

PID_FILE="${DEPLOY_DIR}/bin/alertmanager.pid"
LOG_FILE="${DEPLOY_DIR}/log/alertmanager_crontab.log"

exec >> "\$LOG_FILE" 2>&1

record crontab exec time

date

if ! curl -sSf http://127.0.0.1:${PORT} >/dev/null; then
echo "AlertManager service is not responding, checking PID file."

if [ -e \"\\${PID_FILE}\" ]; then
    pid=\\$(cat \"\\${PID_FILE}\")
    kill -0 \"\\$pid\" 2>/dev/null
    if [ \\$? -eq 0 ]; then
        echo 'AlertManager process is alive'
    else
        rm -f \"\\${PID_FILE}\"
        \"${DEPLOY_DIR}/bin/start_alertmanager.sh\"
    fi
else
    \"${DEPLOY_DIR}/bin/start_alertmanager.sh\"
    echo 'AlertManager process terminated normally, restarted.'
fi

else
echo "AlertManager service is available"
fi

exec 1>&- 2>&-

EOF

chmod +x ${DEPLOY_DIR}/bin/start_alertmanager.sh
chmod +x ${DEPLOY_DIR}/${CRONTAB_FILE}

crontab -l | grep -v doris_manager_alertmanager_cron | crontab -

if ! crontab -l | grep -q ${DEPLOY_DIR}/${CRONTAB_FILE}; then
(crontab -l ; echo "*/1 * * * * ${DEPLOY_DIR}/${CRONTAB_FILE}") | crontab -
fi
"
time="2024-11-06T18:31:17+08:00" level=info msg="successfully added crontab for alertmanager"
time="2024-11-06T18:31:17+08:00" level=info msg="[prometheus] ready to configure..."
time="2024-11-06T18:31:17+08:00" level=info msg="[prometheus] configure successfully"
time="2024-11-06T18:31:17+08:00" level=info msg="[prometheus] ready to starting..."
time="2024-11-06T18:31:17+08:00" level=info msg="need to set auth for prometheus"
time="2024-11-06T18:31:17+08:00" level=info msg="start prometheus shell:
set -o pipefail
set -x

PROMETHEUS_HOME=""/usr/doris/doris-manager/deps/prometheus""
PORT=""9090""
DATA_DIR=""/usr/doris/doris-manager/deps/prometheus/data""
LOG_DIR=""/usr/doris/doris-manager/deps/prometheus/log""
PID_FILE="${PROMETHEUS_HOME}/bin/prometheus.pid"

mkdir -p ${PROMETHEUS_HOME}/bin

Function to log messages to a file

log() {
local log_message="$1"
echo "$(date +'%Y-%m-%d %H:%M:%S') - $log_message" >> "${LOG_DIR}/prometheus.log"
}

Start Prometheus and redirect output to log file

nohup "${PROMETHEUS_HOME}/prometheus" --config.file "${PROMETHEUS_HOME}/prometheus.yml" \
--web.config.file=${PROMETHEUS_HOME}/basic_auth.yaml \
--web.enable-lifecycle \
--web.listen-address=":${PORT}" \
--storage.tsdb.retention.time=30d \
--storage.tsdb.path="${DATA_DIR}" > "${LOG_DIR}/prometheus.out" 2>&1 < /dev/null &

# build start_prometheus.sh

cat > "${PROMETHEUS_HOME}/bin/start_prometheus.sh" << EOF
#!/bin/bash

curdir=\$(dirname "\$0")
curdir=\$(cd "\$curdir"; pwd)

HOME=\$(cd "\$curdir/.."; pwd)
PID_FILE=\${HOME}/bin/prometheus.pid
DATA_DIR=\${HOME}/data
LOG_DIR=\${HOME}/log

nohup "\${HOME}/prometheus" --config.file "\${HOME}/prometheus.yml" \
--web.config.file=${PROMETHEUS_HOME}/basic_auth.yaml \
--web.enable-lifecycle \
--web.listen-address=":${PORT}" \
--storage.tsdb.retention.time=30d \
--storage.tsdb.path="\${DATA_DIR}" > "\${LOG_DIR}/prometheus.out" 2>&1 < /dev/null &
echo \$! > "\$PID_FILE"

EOF

build stop_prometheus.sh

cat > "${PROMETHEUS_HOME}/bin/stop_prometheus.sh" << EOF
#!/bin/bash
curdir=\$(dirname "\$0")
curdir=\$(cd "\$curdir"; pwd)
HOME=\$(cd "\$curdir/.."; pwd)
PID_FILE=\${HOME}/bin/prometheus.pid
if [ -e "\${PID_FILE}" ]; then
pid=\$(<\${PID_FILE})
if kill -0 "\$pid" 2>/dev/null; then
# Attempt to gracefully stop prometheus
if kill -15 "\$pid" > /dev/null 2>&1; then
# Wait for prometheus to stop (you can adjust the sleep time as needed)
sleep 10
if kill -0 "\$pid" 2>/dev/null; then
echo "prometheus process may still be running, check it manually."
else
echo "prometheus process has stopped gracefully."
fi
else
echo "Error: failed to gracefully stop prometheus."
exit 1
fi
else
echo "Warning: prometheus process is not running, pid = \$pid"
fi
# Remove the prometheus.pid file after stopping prometheus
rm -f "${PID_FILE}"
else
echo "Error: prometheus.pid file not found, process might not be running."
fi
EOF

chmod a+x ${PROMETHEUS_HOME}/bin/start_prometheus.sh
chmod a+x ${PROMETHEUS_HOME}/bin/stop_prometheus.sh

Save the new PID in .pid file

echo $! > "$PID_FILE"

log "Prometheus started. Check manually for successful start."
"
time="2024-11-06T18:31:17+08:00" level=info msg="command execute successfully, check if port [9090] is up"
time="2024-11-06T18:31:22+08:00" level=info msg="[prometheus] start process successfully, on port [9090]"
time="2024-11-06T18:31:22+08:00" level=info msg="prometheus process started, check its health"
time="2024-11-06T18:31:23+08:00" level=info msg="[prometheus] prometheus is up and healthy!"
time="2024-11-06T18:31:23+08:00" level=info msg="adding crontab for prometheus..."
time="2024-11-06T18:31:23+08:00" level=info msg="shell =
set -o pipefail
set -x

DEPLOY_DIR="/usr/doris/doris-manager/deps/prometheus"
PORT="9090"
CRONTAB_FILE=".doris_manager_prometheus_cron.sh"

mkdir -p ${DEPLOY_DIR}/bin

cat > "${DEPLOY_DIR}/${CRONTAB_FILE}" << EOF
#!/bin/bash

PID_FILE="${DEPLOY_DIR}/bin/prometheus.pid"
LOG_FILE="${DEPLOY_DIR}/log/prometheus_crontab.log"

exec >> "\$LOG_FILE" 2>&1

record crontab exec time

date

if ! curl -sSf http://127.0.0.1:${PORT} >/dev/null; then
echo "Prometheus service is not responding, checking PID file."

if [ -e \"\\${PID_FILE}\" ]; then
    pid=\\$(cat \"\\${PID_FILE}\")
    kill -0 \"\\$pid\" 2>/dev/null
    if [ \\$? -eq 0 ]; then
        echo 'Prometheus process is alive'
    else
        rm -f \"\\${PID_FILE}\"
        \"${DEPLOY_DIR}/bin/start_prometheus.sh\"
    fi
else
    \"${DEPLOY_DIR}/bin/start_prometheus.sh\"
    echo 'Prometheus process terminated normally, restarted.'
fi

else
echo "Prometheus service is available"
fi

exec 1>&- 2>&-

EOF

chmod +x ${DEPLOY_DIR}/bin/start_prometheus.sh
chmod +x ${DEPLOY_DIR}/${CRONTAB_FILE}

crontab -l | grep -v doris_manager_prometheus_cron | crontab -

if ! crontab -l | grep -q ${DEPLOY_DIR}/${CRONTAB_FILE}; then
(crontab -l ; echo "*/1 * * * * ${DEPLOY_DIR}/${CRONTAB_FILE}") | crontab -
fi
"
time="2024-11-06T18:31:23+08:00" level=info msg="successfully added crontab for prometheus"
time="2024-11-06T18:31:23+08:00" level=info msg="studio deploying..."
time="2024-11-06T18:31:23+08:00" level=info msg="[studio] resolve studio config... manager config path: /usr/doris/doris-manager/webserver/conf/manager.conf, studio config path: /usr/doris/doris-manager/deps/webui/conf/webui.conf"
time="2024-11-06T18:31:23+08:00" level=info msg="[studio] resolved studio config: DB_TYPE=h2, ROOT_URL_PREFIX=/webui, MAX_CONN_SIZE_PER_DORIS_POOL=, MAX_DORIS_POOL=, WEBUI_PORT=8006, JAVA_HOME=/usr/doris/doris-manager/deps/jdk, DB_USER=, QUERY_DOWNLOAD_FILE_SIZE_LIMIT=, DB_DBNAME=, DB_PASS=, DB_PORT=, DB_HOST=, ENABLE_SWAGGER_UI=FALSE, JAVA_OPTS=-Xmx1024m, DATA_PATH=/usr/doris/doris-manager/deps/webui/data"
time="2024-11-06T18:31:23+08:00" level=info msg="[studio] overwrite studio config file success, path: /usr/doris/doris-manager/deps/webui/conf/webui.conf"
time="2024-11-06T18:31:23+08:00" level=info msg="[studio] ready to starting..."
time="2024-11-06T18:31:23+08:00" level=info msg="[studio] start studio via shell: /usr/doris/doris-manager/deps/webui/bin/start.sh"
time="2024-11-06T18:32:13+08:00" level=error msg="deploy failed: studio has been started, but seems port [8006] is not up, please check the log file [/usr/doris/doris-manager/deps/webui/log]"
time="2024-11-06T18:32:13+08:00" level=info msg="deploy done"
time="2024-11-06T18:32:13+08:00" level=info msg="deploy operation end, ready to close all resources, jobId = [73425e6e947f4dfe94798b122f3311c8]"
time="2024-11-06T18:32:13+08:00" level=info msg="ready to finish current job, jobId = [73425e6e947f4dfe94798b122f3311c8]"
time="2024-11-06T18:32:13+08:00" level=warning msg="job failed, err = studio has been started, but seems port [8006] is not up, please check the log file [/usr/doris/doris-manager/deps/webui/log]"
time="2024-11-06T18:32:13+08:00" level=info msg="ready to rollback started process..."
time="2024-11-06T18:32:13+08:00" level=info msg="ready to remove crontab first"
time="2024-11-06T18:32:13+08:00" level=info msg="removing crontab for module 'grafana'"
time="2024-11-06T18:32:13+08:00" level=info msg="remove crontab shell: crontab -l | grep -v doris_manager_grafana_cron | crontab -"
time="2024-11-06T18:32:13+08:00" level=info msg="removing crontab for module 'prometheus'"
time="2024-11-06T18:32:13+08:00" level=info msg="remove crontab shell: crontab -l | grep -v doris_manager_prometheus_cron | crontab -"
time="2024-11-06T18:32:13+08:00" level=info msg="removing crontab for module 'alertmanager'"
time="2024-11-06T18:32:13+08:00" level=info msg="remove crontab shell: crontab -l | grep -v doris_manager_alertmanager_cron | crontab -"
time="2024-11-06T18:32:13+08:00" level=info msg="ready to stop monitor..."
time="2024-11-06T18:32:13+08:00" level=info msg="removing crontab for module 'alertmanager'"
time="2024-11-06T18:32:13+08:00" level=info msg="remove crontab shell: crontab -l | grep -v doris_manager_alertmanager_cron | crontab -"
time="2024-11-06T18:32:13+08:00" level=info msg="kill cmd = [kill -15 28036]"
time="2024-11-06T18:32:16+08:00" level=info msg="stopped [alertmanager] successfully, released port [9093]"
time="2024-11-06T18:32:16+08:00" level=info msg="removing crontab for module 'prometheus'"
time="2024-11-06T18:32:16+08:00" level=info msg="remove crontab shell: crontab -l | grep -v doris_manager_prometheus_cron | crontab -"
time="2024-11-06T18:32:16+08:00" level=info msg="kill cmd = [kill -15 28073]"
time="2024-11-06T18:32:19+08:00" level=info msg="stopped [prometheus] successfully, released port [9090]"
time="2024-11-06T18:32:19+08:00" level=info msg="removing crontab for module 'grafana'"
time="2024-11-06T18:32:19+08:00" level=info msg="remove crontab shell: crontab -l | grep -v doris_manager_grafana_cron | crontab -"
time="2024-11-06T18:32:19+08:00" level=info msg="kill cmd = [kill -15 27992]"
time="2024-11-06T18:32:22+08:00" level=info msg="stopped [grafana] successfully, released port [3000]"

studio has been started, but seems port [8006] is not up, please check the log file [/usr/doris/doris-manager/deps/webui/log]
[ERROR]

2 Answers

我是因为机器启动studio webui比较慢 手动修改.sh 然后手动执行解决了 现在进入了建集群的阶段

有没有更加方便的解决方案 求大神指导